/**
 * Copyright 2008-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.plugin.xmleditor.test;

import java.util.Arrays;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerException;

import org.ow2.util.maven.plugin.xmleditor.XMLEditor;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * @author Gael Lalire
 */
public class TestXMLEditor {

    private XMLEditor xmlEditor;

    // @BeforeClass
    protected void init() throws ParserConfigurationException {
        DocumentBuilder documentBuilder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
        Document document = documentBuilder.newDocument();
        Element rootNode = document.createElement("archives");

        for (String string : Arrays.asList("oh", "my", "god")) {
            Element element = document.createElement("archive");
            element.setAttribute("name", string);
            element.appendChild(document.createTextNode("WTF"));
            rootNode.appendChild(element);
        }
        rootNode.setAttribute("name", "myname");
        rootNode.setAttribute("archiveType", "myarchivetype");
        document.appendChild(rootNode);
        xmlEditor = new XMLEditor(document);
    }

    // TODO: make real tests
    // @Test
    public void testPattern() throws TransformerException {
        // System.out.println("Before");
        // writeDocumentTo(xmlEditor.getDocument(), new OutputStreamWriter(System.out));
        xmlEditor.set("@name", "mynewname");
        xmlEditor.set("archive.@vj", "vlan");
        xmlEditor.set("archive", "coucou");
        // System.out.println("After");
        // writeDocumentTo(xmlEditor.getDocument(), new OutputStreamWriter(System.out));
    }
}
